## upstream-ontologist 0.1.14

=== debian/changelog ===
upstream-ontologist (0.1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 16 Mar 2021 12:27:01 +0000

upstream-ontologist (0.1.13-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Mar 2021 16:03:10 +0000

upstream-ontologist (0.1.12-1) unstable; urgency=medium

  * Check upstream PGP signatures.
  * Add missing dependencies.
  * New upstream release.
  * Set upstream metadata fields: Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 11 Mar 2021 04:02:19 +0000

upstream-ontologist (0.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 12 Feb 2021 00:39:58 +0000

upstream-ontologist (0.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Feb 2021 00:19:46 +0000

upstream-ontologist (0.1.5-1) unstable; urgency=low

  * Initial release. Closes: #976893

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 30 Jan 2021 16:42:11 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://pypi.debian.net/upstream-ontologist upstream-ontologist-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## upstream-ontologist 0.1.22

=== Makefile ===
check::
	python3 setup.py test

=== debian/changelog ===
upstream-ontologist (0.1.22-1) unstable; urgency=low

  * New upstream release.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 13 Jun 2021 01:49:23 +0100

upstream-ontologist (0.1.20-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 11 Jun 2021 20:09:21 +0100

upstream-ontologist (0.1.19-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 19 May 2021 21:10:11 +0100

upstream-ontologist (0.1.18-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 09 Apr 2021 18:19:29 +0100

=== debian/control ===
Source: upstream-ontologist
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), python3-all, dh-python, python3-setuptools, python3-debian, python3-debmutate, python3-breezy, python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-ruamel.yaml, python3-markdown, python3-docutils, python3-lxml
Priority: optional
Section: python
Homepage: https://github.com/jelmer/upstream-ontologist
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/jelmer/upstream-ontologist.git
Vcs-Browser: https://salsa.debian.org/jelmer/upstream-ontologist

Package: python3-upstream-ontologist
Architecture: all
Replaces: lintian-brush (<< 0.95)
Depends: ${misc:Depends}, ${python3:Depends}, python3-debian, python3-debmutate
Recommends: python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-markdown, python3-docutils, python3-lxml
Suggests: python3-breezy, python3-ruamel.yaml
Description: discover metadata about upstream projects
 The upstream ontologist discovers metadata about the upstream part of a
 package by reading common project metadata files. It currently supports:
 .
  * setup.py/PKG-INFO files
  * package.json files
  * package.xml files
  * dist.ini files
  * META.json / META.yml files
  * GNU configure files
  * R DESCRIPTION files
  * pom.xml files
  * Cargo.toml files
  * and other formats

## upstream-ontologist 0.1.24

=== debian/changelog ===
upstream-ontologist (0.1.24-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Dec 2021 15:09:26 +0000

=== debian/tests/control ===
Test-Command: python3 setup.py test
Depends: @, python3-setuptools, python3-breezy, python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-ruamel.yaml, python3-markdown, python3-docutils, python3-lxml
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://pypi.debian.net/upstream-ontologist .*/upstream-ontologist-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## upstream-ontologist 0.1.25

=== debian/changelog ===
upstream-ontologist (0.1.25-2) unstable; urgency=medium

  * Recommend perl-doc.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 18:33:31 +0100

upstream-ontologist (0.1.25-1) unstable; urgency=medium

  * Recommend python3-setuptools, for reading setup files.
  * Recommend python3-tomlkit.
  * Update standards version to 4.6.0, no changes needed.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 14 Apr 2022 20:22:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: upstream-ontologist
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), python3-all, dh-python, python3-setuptools, python3-debian, python3-debmutate, python3-breezy, python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-ruamel.yaml, python3-markdown, python3-docutils, python3-lxml
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), python3-all, dh-python, python3-setuptools, python3-debian, python3-debmutate, python3-breezy, python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-ruamel.yaml, python3-markdown, python3-docutils, python3-lxml, perl-doc
 Priority: optional
 Section: python
 Homepage: https://github.com/jelmer/upstream-ontologist
@@ -13,7 +13,7 @@
 Architecture: all
 Replaces: lintian-brush (<< 0.95)
 Depends: ${misc:Depends}, ${python3:Depends}, python3-debian, python3-debmutate
-Recommends: python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-markdown, python3-docutils, python3-lxml
+Recommends: python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-markdown, python3-docutils, python3-lxml, python3-setuptools, python3-tomlkit, perl-doc
 Suggests: python3-breezy, python3-ruamel.yaml
 Description: discover metadata about upstream projects
  The upstream ontologist discovers metadata about the upstream part of a

=== debian/tests/control ===
Test-Command: python3 setup.py test
Depends: @, python3-setuptools, python3-breezy, python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-ruamel.yaml, python3-markdown, python3-docutils, python3-lxml, perl-doc
Restrictions: allow-stderr

## upstream-ontologist 0.1.30

=== debian/changelog ===
upstream-ontologist (0.1.30-2) unstable; urgency=medium

  * releasing package upstream-ontologist version 0.1.25-2

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 28 Nov 2022 02:17:59 +0000

upstream-ontologist (0.1.30-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 01 Nov 2022 09:03:29 +0000

## upstream-ontologist 0.1.35

=== Makefile ===
check:: unittest

unittest:
	python3 -m unittest tests.test_suite

check:: flake8

flake8:
	flake8 .


check:: typing

typing:
	mypy upstream_ontologist/ tests/

=== debian/changelog ===
upstream-ontologist (0.1.35-1) unstable; urgency=low

  * New upstream release.
  * Add hard dependency on python3-breezy and python3-ruamel.yaml for
    now. These should eventually be Recommends or Suggest. Closes:
    #1029750

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Feb 2023 13:20:23 +0000

upstream-ontologist (0.1.34-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 03 Feb 2023 17:27:51 +0000

upstream-ontologist (0.1.33-1) unstable; urgency=medium

  * Update watch file from github
  * New upstream release.
    + Fixes GitHub repository verification. Closes: #1029722
  * Update standards version to 4.6.2, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 Jan 2023 01:03:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: upstream-ontologist
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), python3-all, dh-python, python3-setuptools, python3-debian, python3-debmutate, python3-breezy, python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-ruamel.yaml, python3-markdown, python3-docutils, python3-lxml, perl-doc
 Priority: optional
 Section: python
@@ -12,9 +12,8 @@
 Package: python3-upstream-ontologist
 Architecture: all
 Replaces: lintian-brush (<< 0.95)
-Depends: ${misc:Depends}, ${python3:Depends}, python3-debian, python3-debmutate
+Depends: ${misc:Depends}, ${python3:Depends}, python3-debian, python3-debmutate, python3-breezy, python3-ruamel.yaml
 Recommends: python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-markdown, python3-docutils, python3-lxml, python3-setuptools, python3-tomlkit, perl-doc
-Suggests: python3-breezy, python3-ruamel.yaml
 Description: discover metadata about upstream projects
  The upstream ontologist discovers metadata about the upstream part of a
  package by reading common project metadata files. It currently supports:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with=python3

override_dh_auto_test:
	python3 -m unittest tests.test_suite

=== debian/tests/control ===
Test-Command: python3 -m unittest tests.test_suite
Depends: @, python3-setuptools, python3-breezy, python3-bs4, python3-toml, python3-dulwich, python3-distro-info, python3-ruamel.yaml, python3-markdown, python3-docutils, python3-lxml, perl-doc
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/upstream-ontologist-$1\.tar\.gz/ https://github.com/jelmer/upstream-ontologist/tags .*\/v(\d\S+)\.tar\.gz

## upstream-ontologist 0.1.37

=== Makefile ===
.PHONY: build check unittest coverage coverage-html typing

build:
	python3 setup.py build_ext -i

check:: unittest-py

unittest-py: build
	python3 -m unittest tests.test_suite

cargo-test:
	cargo test

check:: cargo-test

coverage: build
	python3 -m coverage run -m unittest tests.test_suite

coverage-html: coverage
	python3 -m coverage html

check:: typing

typing:
	mypy upstream_ontologist/ tests/

=== debian/changelog ===
upstream-ontologist (0.1.37-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 05 Jun 2024 15:58:25 +0100

=== debian/control ===
Source: upstream-ontologist
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               dh-python,
               librust-breezyshim-dev,
               librust-clap-dev,
               librust-configparser-dev,
               librust-debcargo-dev,
               librust-debbugs-dev,
               librust-debian-changelog-dev,
               librust-debian-control-dev,
               librust-debian-copyright-dev,
               librust-debian-watch-dev,
               librust-distro-info-dev,
               librust-html5ever-dev,
               librust-log-dev,
               librust-mailparse-dev,
               librust-makefile-lossless-dev,
               librust-opam-file-rs-dev,
               librust-pyo3-dev,
               librust-pyo3-log-dev,
               librust-pulldown-cmark-dev,
               librust-pyproject-toml-dev,
               librust-python-pkginfo-dev,
               librust-reqwest-dev,
               librust-rust-ini-dev,
               librust-serde-yaml-dev,
               librust-scraper-dev,
               perl-doc,
               python3-all,
               python3-breezy,
               python3-bs4,
               python3-debian,
               python3-debmutate,
               python3-distro-info,
               python3-docutils,
               python3-dulwich,
               python3-lxml,
               python3-markdown,
               python3-ruamel.yaml,
               python3-setuptools,
               python3-setuptools-rust,
               python3-toml
Priority: optional
Section: python
Homepage: https://github.com/jelmer/upstream-ontologist
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/jelmer/upstream-ontologist.git
Vcs-Browser: https://salsa.debian.org/jelmer/upstream-ontologist

Package: python3-upstream-ontologist
Architecture: any
Replaces: lintian-brush (<< 0.95)
Depends: python3-breezy,
         python3-debian,
         python3-debmutate,
         python3-ruamel.yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: perl-doc,
            python3-bs4,
            python3-distro-info,
            python3-docutils,
            python3-dulwich,
            python3-lxml,
            python3-markdown,
            python3-setuptools,
            python3-toml,
            python3-tomlkit
Description: discover metadata about upstream projects
 The upstream ontologist discovers metadata about the upstream part of a
 package by reading common project metadata files. It currently supports:
 .
  * setup.py/PKG-INFO files
  * package.json files
  * package.xml files
  * dist.ini files
  * META.json / META.yml files
  * GNU configure files
  * R DESCRIPTION files
  * pom.xml files
  * Cargo.toml files
  * and other formats

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $@ --buildsystem=pybuild --with=python3

override_dh_auto_test:
	@echo "Skipping tests"

override_dh_auto_clean:
	if test -f Cargo.lock.saved; then mv Cargo.lock.saved Cargo.lock; fi
	dh_auto_clean

override_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved
	dh_auto_build

## upstream-ontologist 0.1.44

=== debian/changelog ===
upstream-ontologist (0.1.44-1) unstable; urgency=medium

  * Remove unused manpage for guess-upstream-metadata(1).
  * New upstream release.
  * Drop unnecessary dh-rust build dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 Sep 2024 22:20:03 +0100

upstream-ontologist (0.1.42-1) unstable; urgency=low

  * New upstream release.
   + Drop executables, these will be provided by the upstream-ontologist
     package in the future.
   + Fixes compatibility with newer pyo3 0.22. Closes: #1078418

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 24 Sep 2024 19:52:24 -0000

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,15 @@
                librust-opam-file-rs-dev,
                librust-pyo3-dev,
                librust-pyo3-log-dev,
+               librust-pretty-assertions-dev,
                librust-pulldown-cmark-dev,
                librust-pyproject-toml-dev,
                librust-python-pkginfo-dev,
                librust-reqwest-dev,
                librust-rust-ini-dev,
+               librust-rst-parser-dev (>= 0.4.0-3),
+               librust-rst-renderer-dev,
+               librust-select-dev,
                librust-serde-yaml-dev,
                librust-scraper-dev,
                perl-doc,
